%def_without test
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Business/OnlinePayment.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Net/SSLeay.pm)
# END SourceDeps(oneline)
%define module_version 0.01
%define module_name Business-OnlinePayment-SurePay
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: SurePay backend for Business::OnlinePayment
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/A/AK/AKHOBOV/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
The following content is required for successeful transaction:
    first_name - The first name of card holder.
    last_name - The last name of card holder.
    address - The street address.
    city - The city of address.
    state - The state of address.
    country - The country of address.
    zip - The zip/postal code of address.
    card_number - The credit card number.
    expiration - The required credit card expiration date. This is a slash with one or two digits on either side.
    order_number - The order number of the authorization request.
    description - The description of the item of the order.
    quantity - The quantity of the item of the order.
    sku_number - The SKU of the item.
    tax_rate - The tax rate of the item.
    amount - The cost of this item. This attribute must be a minus character,for discounts, followed by a string of digits. 
    login - The required ID of the merchant whose request is being submitted.
    password - The required password to access the merchant account.

The following optional content is posible also:
    csp - The name for the commerce service provider through which the merchant's request is being submitted.
    phone - The primary/daytime phone number.
    eveningphone - The evening phone number.
    fax - The fax number. 
    email - The email address. 
    cvv2 - The 3- or 4-digit CVV2 code found on the signature line on the back of the credit card following the account number.
    cvv2status - An optional code indicating whether the CVV2 code isn`t being used, is illegible, or isn`t present on the card.
    ecommerce - The value true or false specifies that the transaction was initiated over the Internet.
    eccommercecode - The code that identifies what level of encryption was used when processing the transaction.
    ponumber - The purchase order number of the authorization request.
    ipaddress - The Internet IP address of the customer being authorized.
    verbalauthcode - The manual authorization code.
    verbalauthdate - The date and time of verbal authorization.
    shippingcost - The shipping costs for the order. 
    taxamount - The tax amount for the order. 
    trackingnumbers - The list of identifiers used to track this order.
    recurring - The value "true" or "false", depending upon whether this payment is recurring, which may affect customer credibility.
    referringurl - The data identifying the URL of the site from which the customer was referred to the merchant's web site.
    browsertype - The data identifying the browser used by the customer when placing the order on the merchant's web site.

For detailed information see the Business::OnlinePayment manpage.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/B*

%changelog
* Thu Oct 17 2013 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

